%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define testdir %{_datadir}/autotest/client/site_tests
%define hookdir %{_datadir}/autoqa
# TODO split python library into subpackage?
# FIXME suppress creation of .pyc/.pyo for some files?

Name: autoqa
Summary: Automated quality assurance framework
Version: 0.3
Release: 2%{?dist}
Source0: http://fedorahosted.org/projects/autoqa/releases/%{name}-%{version}.tar.gz
License: GPLv2+
Group: Applications/Internet
URL: https://fedorahosted.org/autoqa
Requires: autotest-client koji
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The autoqa project to provides a basic framework for executing a series of
tests, the tests, and a series of watcher scripts designed to execute tests
under certain conditions.


%package israwhidebroken
Summary: A TurboGears front-end for 'is rawhide broken'
Group: Applications/Internet
Requires: TurboGears
Requires: python-toscawidgets
Requires: python-tw-forms >= 0.9.8
Requires: python-cherrypy
Requires: python-fedora
Requires: mod_wsgi
BuildRequires: TurboGears
BuildRequires: python-devel
%if 0%{?fedora} >= 8
BuildRequires:  python-setuptools-devel
%else
BuildRequires:  python-setuptools
%endif


%description israwhidebroken
'Is rawhide broken' is a TurboGears front-end intended for AutoQA automated
rawhide test results.


%prep
%setup -q


%build
make build PYTHON=%{__python}


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT TEST_DIR=%{testdir} HOOK_DIR=%{hookdir} PYTHON=%{__python}
install -m 644 autoqa.conf repoinfo.conf $RPM_BUILD_ROOT%{_sysconfdir}
# front-ends/israwhidebroken
mv %{buildroot}%{_bindir}/start-israwhidebroken %{buildroot}%{_sbindir}/
mv %{buildroot}%{_bindir}/israwhidebroken.wsgi %{buildroot}%{_sbindir}/
mv %{buildroot}%{_bindir}/populate-israwhidebroken-db %{buildroot}%{_sbindir}/
mv %{buildroot}%{python_sitelib}/israwhidebroken* %{buildroot}%{_datadir}/%{name}-israwhidebroken/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE TODO
%dir %attr(0775,root,autotest) %{_localstatedir}/cache/autoqa
%{_bindir}/autoqa
%{_sysconfdir}/cron.d/autoqa
%config(noreplace) %{_sysconfdir}/autoqa.conf
%config(noreplace) %{_sysconfdir}/repoinfo.conf
%{testdir}
%{hookdir}
%{_datadir}/autotest/client/bin/site_utils.py*
%{python_sitelib}/autoqa*


%files israwhidebroken
%defattr(-,root,root,-)
%doc front-ends/israwhidebroken/README.txt
%dir %{_localstatedir}/lib/israwhidebroken
%config(noreplace) %{_sysconfdir}/israwhidebroken.cfg
%config(noreplace) %{_sysconfdir}/httpd/conf.d/israwhidebroken.conf
%{_sbindir}/start-israwhidebroken
%{_sbindir}/israwhidebroken.wsgi
%{_sbindir}/populate-israwhidebroken-db
%{_datadir}/%{name}-israwhidebroken


%changelog
* Wed Dec 2 2009 James Laska <jlaska@redhat.com> - 0.3-2
- Add autoqa-israwhidebroken TurboGears application
- Remove .py extension from israwhidebroken _sbindir scripts

* Fri Nov 6 2009 Will Woods <wwoods@redhat.com> - 0.3-1
- Rearrange a bunch of test/watcher code into autoqa python lib
- Add post-koji-build hook and watcher

* Thu Aug 6 2009 Will Woods <wwoods@redhat.com> - 0.2-1
- Big autotest rearrange

* Tue Jun 30 2009 James Laska <jlaska@redhat.com> - 0.1-1
- Initial packaging
